org.apache.hadoop.mapreduce.v2.app.launcher

## Class ContainerLauncherImpl

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.mapreduce.v2.app.launcher.ContainerLauncherImpl

- All Implemented Interfaces:
    Closeable, AutoCloseable, ContainerLauncher, org.apache.hadoop.service.Service, org.apache.hadoop.yarn.event.EventHandler<ContainerLauncherEvent>

      public class ContainerLauncherImpl
      extends org.apache.hadoop.service.AbstractService
      implements ContainerLauncher

  This class is responsible for launching of containers.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.mapreduce.v2.app.launcher.ContainerLauncher

      `ContainerLauncher.EventType`

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BlockingQueue<ContainerLauncherEvent>` | `eventQueue`
    `protected int` | `initialPoolSize`
    `protected ThreadPoolExecutor` | `launcherPool`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerLauncherImpl(AppContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.mapreduce.v2.app.launcher.ContainerLauncherImpl.EventProcessor` | `createEventProcessor(ContainerLauncherEvent event)`
    `org.apache.hadoop.yarn.client.api.impl.ContainerManagementProtocolProxy.ContainerManagementProtocolProxyData` | `getCMProxy(String containerMgrBindAddr, org.apache.hadoop.yarn.api.records.ContainerId containerId)`
    `void` | `handle(ContainerLauncherEvent event)`
    `protected void` | `serviceInit(org.apache.hadoop.conf.Configuration conf)`
    `protected void` | `serviceStart()`
    `protected void` | `serviceStop()`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### launcherPool

          protected ThreadPoolExecutor launcherPool

    - #### initialPoolSize

          protected int initialPoolSize

    - #### eventQueue

          protected BlockingQueue<ContainerLauncherEvent> eventQueue

  - ### Constructor Detail

    - #### ContainerLauncherImpl

          public ContainerLauncherImpl(AppContext context)

  - ### Method Detail

    - #### serviceInit

          protected void serviceInit(org.apache.hadoop.conf.Configuration conf)
                              throws Exception

      Overrides:
        `serviceInit` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### serviceStart

          protected void serviceStart()
                               throws Exception

      Overrides:
        `serviceStart` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### serviceStop

          protected void serviceStop()
                              throws Exception

      Overrides:
        `serviceStop` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### createEventProcessor

          protected org.apache.hadoop.mapreduce.v2.app.launcher.ContainerLauncherImpl.EventProcessor createEventProcessor(ContainerLauncherEvent event)

    - #### handle

          public void handle(ContainerLauncherEvent event)

      Specified by:
        `handle` in interface `org.apache.hadoop.yarn.event.EventHandler<ContainerLauncherEvent>`

    - #### getCMProxy

          public org.apache.hadoop.yarn.client.api.impl.ContainerManagementProtocolProxy.ContainerManagementProtocolProxyData getCMProxy(String containerMgrBindAddr,
                                                                                                                                         org.apache.hadoop.yarn.api.records.ContainerId containerId)
                                                                                                                                  throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.